html, body{
	background: yellow;
}

/*https://developer.mozilla.org/fr/docs/Web/CSS/box-sizing*/
/* Autoprefixer Sublime Maj+Ctrl+P autoprefixer l\'installer si besoin
De la sorte le padding est inclus dans la largeur calculée de tous les éléments de notre CSS
*/

* {
	margin: 0;
	padding: 0;
	-webkit-box-sizing: border-box;	        
	box-sizing: border-box;
}


body {
	font: 1rem/1.5 sans-serif;
	background: #ecf0f1;
	color: #222;
	font-family: 'Libre Franklin', sans-serif;
	padding: 0 1em;
}


body {
	transition: 0.5s all linear;
}


h1, h2, h3, h4, h5{
	font-family: 'Open Sans', sans-serif;
}
h1{
	font: 3rem/2 sans-serif;
}

ul{
	list-style: inside;
}

nav ul{
	list-style: none;
}

/* images responsives */
img{
	max-width: 100%;
}


p {
	margin: 0 0 1em 0;
}



a:link {
    color: #3498db;
    text-decoration: none;
}

a:visited {
    color: #3498db;
    text-decoration: none;
}


a:hover {
    color: hotpink;
}

a:active {
    color: blue;
} 


header{
	
}







.flex {
	display: -ms-box;
	display: -webkit-flex;
	display: flex;


	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;


}





nav {
	-webkit-flex: 1 13em;
	-ms-flex: 1 13em;
	flex: 1 13em;
	background: #3498db;
	margin-right: 0;
	padding: 1em;
	-webkit-flex-direction: column;
	-ms-flex-direction: column;
	flex-direction: column;
}

nav .logo {
	-webkit-align-self: center;
	-ms-flex-item-align: center;
	align-self: center;

	-webkit-order: 2;
	-ms-flex-order: 2;
	order: 2;

}

nav ul {
	list-style: none;

	-webkit-order: 1;
	-ms-flex-order: 1;
	order: 1;

}

nav a:link {
    color: #FFF;
}

nav a:visited {
    color: #FFF;
}


section{
	padding: 0 0.5em 1em 0.5em;
}

section article{
	-webkit-box-flex: 1;
	    -ms-flex: 1;
	        flex: 1;
	padding: 1em 1em 0 0;
}



/* 20 em = 320px/16 pixels */
/* 30 em = 480px/16 pixels */
/* 50 em = 800px/16 pixels */
/* http://pxtoem.com/ */

/* 40 em = 600px/16 pixels Tablettes */
@media only screen and (min-width: 40em) {


/*https://www.w3schools.com/cssref/css3_pr_flex-direction.asp"*/
	.flex {
	-webkit-flex-direction: row;
	-ms-flex-direction: row;
	flex-direction: row;
	}

	body {
		background: #e5dae4;
		padding: 0;

	}


	nav .logo {
		-webkit-order: 1;
		-ms-flex-order: 1;
		order: 1;
	}

	nav ul {
		-webkit-order: 1;
		-ms-flex-order: 1;
		order: 1;
	}





}


@media only screen and (min-width: 50em) {

	body {
		background: #f7f7ea;
	}
}



